CMS-1500 PDF: Business Identifier

Retrieve a Stedi generatedCMS-1500 Claim Form PDF for a submitted 837P (professional) claim by business identifier

GET/export/pdf

This endpoint uses a business identifier to retrieve autogenerated CMS-1500 Claim Form PDFs for submitted 837P professional claims.

  1. Call this endpoint with the businessId query parameter set to the claim's correlation ID. The correlation ID is returned as the claimReference.correlationId in the synchronous response Stedi returns when you submit a professional claim.
  2. The endpoint returns an array of PDFs for all claims with the specified businessId value. PDFs are returned as a base64 encoded string.

To view a PDF, decode the base64 string and save it to a file with a .pdf extension.

This endpoint isn't compatible with the Create Professional Claim (CMS-1500) JSON endpoint. You can use it with the Professional Claims (837P) JSON - Legacy and Professional Claims (837P) Raw X12 endpoints.

Authorization
RequiredHeader

A Stedi API Key for authentication. Supports both test and production API keys.

Query Parameters

The business identifier for the claim PDF you want to retrieve. This value is returned as the claimReference.correlationId in the synchronous response Stedi returns when you submit a professional claim.

background
Boolean

If false, the generated PDF will only contain the form data on a white background, suitable for printing on pre-printed forms. The default is true.

Response

application/json
errors
Array of Objects

Errors that prevented Stedi from returning one or more PDFs for the specified businessId. This array may be empty if there were no errors.

Array item
pdfs
Array of Objects

Data for PDF files Stedi generated for the specified businessId. This array may be empty if there are no PDFs available for the specified businessId. It may also contain multiple PDFs if there is more than one claim with the same businessId value.

Array item